# Reprint By Reference

Stessa finalità dell'endpoint [Reprint](/spedizioni-e-dintorni/reprint.md) ma al posto di ricercare con ID univoco Gsped della spedizione, utilizza i riferimenti numerici o alfanumerici.

{% hint style="success" %}
Per utilizzare questo endpoint bisogna essere certi di utilizzare riferimenti univoci
{% endhint %}

## Ristampa etichette via file

<mark style="color:blue;">`GET`</mark> `https://api.gsped.it/[ISTANZA]/reprintByReference`

Si usa O il riferimento numerico OPPURE quello alfanumerico.

#### Query Parameters

| Name                                         | Type   | Description              |
| -------------------------------------------- | ------ | ------------------------ |
| ddt\_num<mark style="color:red;">\*</mark>   | String | Riferimento numerico     |
| ddt\_alpha<mark style="color:red;">\*</mark> | String | Riferimento alfanumerico |

#### Headers

| Name                                        | Type   | Description             |
| ------------------------------------------- | ------ | ----------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | Apikey fornita da Gsped |

{% tabs %}
{% tab title="200: OK Etichetta Stampata" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="400: Bad Request DDT non univoci" %}

```javascript
{
    "error": "ddt_num non univoco"
}
```

{% endtab %}

{% tab title="403: Forbidden Apikey invalida" %}

```javascript
{
  "status": false,
  "error": "Invalid API key "
}
```

{% endtab %}

{% tab title="404: Not Found Non trovata" %}

```javascript
{
  "error": "Spedizione non trovata"
}
```

{% endtab %}

{% tab title="400: Bad Request Errore parametri" %}

```javascript
{
  "error": "ddt_alpha o ddt_num spedizione non indicata"
}
```

{% endtab %}
{% endtabs %}

#### Snippets codice di esempio

{% tabs %}
{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.gsped.it/sandbox/ReprintByReference?ddt_alpha=test1234",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_POSTFIELDS => "",
  CURLOPT_HTTPHEADER => [
    "x-api-key: YOUR-API-KEY"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

{% endtab %}

{% tab title="PYTHON" %}

```python
import http.client

conn = http.client.HTTPSConnection("api.gsped.it")

payload = ""

headers = { 'x-api-key': "YOUR-API-KEY" }

conn.request("GET", "/sandbox/ReprintByReference?ddt_alpha=test1234", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="GO" %}

```go
package main

import (
	"fmt"
	"net/http"
	"io/ioutil"
)

func main() {

	url := "https://api.gsped.it/sandbox/ReprintByReference?ddt_alpha=test1234"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "YOUR-API-KEY")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := ioutil.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

{% endtab %}

{% tab title="C#" %}

```csharp
var client = new HttpClient();
var request = new HttpRequestMessage
{
    Method = HttpMethod.Get,
    RequestUri = new Uri("https://api.gsped.it/sandbox/ReprintByReference?ddt_alpha=test1234"),
    Headers =
    {
        { "x-api-key", "YOUR-API-KEY" },
    },
};
using (var response = await client.SendAsync(request))
{
    response.EnsureSuccessStatusCode();
    var body = await response.Content.ReadAsStringAsync();
    Console.WriteLine(body);
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl --request GET \
  --url 'https://api.gsped.it/sandbox/ReprintByReference?ddt_alpha=test1234' \
  --header 'x-api-key: YOUR-API-KEY'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.gsped.com/spedizioni-e-dintorni/reprint-by-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
